List contact profiles surfaced from WhatsApp groups
curl --request GET \
--url https://api-v2.watchcollect.com/v2/profiles/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/profiles/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/profiles/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raw_sender_id": "<string>",
"resolution_status": "<string>",
"first_seen_at_ms": 123,
"last_seen_at_ms": 123,
"message_count": 123,
"classified_count": 123,
"listing_count": 123,
"selling_count": 123,
"buying_count": 123,
"reference_count": 123,
"group_count": 123,
"display_name": "<string>",
"phone_number": "<string>",
"lid": "<string>",
"country_prefix": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}profiles
List contact profiles surfaced from WhatsApp groups
Cursor-paginated list of contact identities with aggregated activity, listing and group counts.
GET
/
v2
/
profiles
/
contacts
List contact profiles surfaced from WhatsApp groups
curl --request GET \
--url https://api-v2.watchcollect.com/v2/profiles/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/profiles/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/profiles/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raw_sender_id": "<string>",
"resolution_status": "<string>",
"first_seen_at_ms": 123,
"last_seen_at_ms": 123,
"message_count": 123,
"classified_count": 123,
"listing_count": 123,
"selling_count": 123,
"buying_count": 123,
"reference_count": 123,
"group_count": 123,
"display_name": "<string>",
"phone_number": "<string>",
"lid": "<string>",
"country_prefix": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Free-text search over display name, phone number, LID and raw sender id.
Comma-separated list of country prefixes to include.
Comma-separated list of country prefixes to exclude.
Restrict to contacts with at least one for_sale listing.
Restrict to contacts with at least one want_to_buy listing.
Comma-separated list of group UUIDs to scope contacts to.
Available options:
last_seen, listings, messages, references Available options:
asc, desc Required range:
1 <= x <= 200